﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
// 
#pragma warning disable 1591

namespace WebServices.ARGNSMaterialDetailServiceWeb {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="ARGNS_MAT_DETSoap", Namespace="ARGNS_MAT_DET")]
    public partial class ARGNS_MAT_DET : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private MsgHeader msgHeaderValueField;
        
        private System.Threading.SendOrPostCallback AddOperationCompleted;
        
        private System.Threading.SendOrPostCallback UpdateOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetByParamsOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetListOperationCompleted;
        
        private System.Threading.SendOrPostCallback InvokeMethodOperationCompleted;
        
        private System.Threading.SendOrPostCallback RemoveOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public ARGNS_MAT_DET() {
            this.Url = global::WebServices.Properties.Settings.Default.WebServices_ARGNSModelServiceWeb_ARGNS_MODEL;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public MsgHeader MsgHeaderValue {
            get {
                return this.msgHeaderValueField;
            }
            set {
                this.msgHeaderValueField = value;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event AddCompletedEventHandler AddCompleted;
        
        /// <remarks/>
        public event UpdateCompletedEventHandler UpdateCompleted;
        
        /// <remarks/>
        public event GetByParamsCompletedEventHandler GetByParamsCompleted;
        
        /// <remarks/>
        public event GetListCompletedEventHandler GetListCompleted;
        
        /// <remarks/>
        public event InvokeMethodCompletedEventHandler InvokeMethodCompleted;
        
        /// <remarks/>
        public event RemoveCompletedEventHandler RemoveCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_MAT_DET/Add", RequestNamespace="ARGNS_MAT_DET", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("ArgnsMatDetParams")]
        public ArgnsMatDetParams Add([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsMatDet ArgnsMatDet) {
            object[] results = this.Invoke("Add", new object[] {
                        ArgnsMatDet});
            return ((ArgnsMatDetParams)(results[0]));
        }
        
        /// <remarks/>
        public void AddAsync(ArgnsMatDet ArgnsMatDet) {
            this.AddAsync(ArgnsMatDet, null);
        }
        
        /// <remarks/>
        public void AddAsync(ArgnsMatDet ArgnsMatDet, object userState) {
            if ((this.AddOperationCompleted == null)) {
                this.AddOperationCompleted = new System.Threading.SendOrPostCallback(this.OnAddOperationCompleted);
            }
            this.InvokeAsync("Add", new object[] {
                        ArgnsMatDet}, this.AddOperationCompleted, userState);
        }
        
        private void OnAddOperationCompleted(object arg) {
            if ((this.AddCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.AddCompleted(this, new AddCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_MAT_DET/Update", RequestNamespace="ARGNS_MAT_DET", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Update([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsMatDet ArgnsMatDet) {
            this.Invoke("Update", new object[] {
                        ArgnsMatDet});
        }
        
        /// <remarks/>
        public void UpdateAsync(ArgnsMatDet ArgnsMatDet) {
            this.UpdateAsync(ArgnsMatDet, null);
        }
        
        /// <remarks/>
        public void UpdateAsync(ArgnsMatDet ArgnsMatDet, object userState) {
            if ((this.UpdateOperationCompleted == null)) {
                this.UpdateOperationCompleted = new System.Threading.SendOrPostCallback(this.OnUpdateOperationCompleted);
            }
            this.InvokeAsync("Update", new object[] {
                        ArgnsMatDet}, this.UpdateOperationCompleted, userState);
        }
        
        private void OnUpdateOperationCompleted(object arg) {
            if ((this.UpdateCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.UpdateCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_MAT_DET/GetByParams", RequestNamespace="ARGNS_MAT_DET", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("ArgnsMatDet")]
        public ArgnsMatDet GetByParams([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsMatDetParams ArgnsMatDetParams) {
            object[] results = this.Invoke("GetByParams", new object[] {
                        ArgnsMatDetParams});
            return ((ArgnsMatDet)(results[0]));
        }
        
        /// <remarks/>
        public void GetByParamsAsync(ArgnsMatDetParams ArgnsMatDetParams) {
            this.GetByParamsAsync(ArgnsMatDetParams, null);
        }
        
        /// <remarks/>
        public void GetByParamsAsync(ArgnsMatDetParams ArgnsMatDetParams, object userState) {
            if ((this.GetByParamsOperationCompleted == null)) {
                this.GetByParamsOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetByParamsOperationCompleted);
            }
            this.InvokeAsync("GetByParams", new object[] {
                        ArgnsMatDetParams}, this.GetByParamsOperationCompleted, userState);
        }
        
        private void OnGetByParamsOperationCompleted(object arg) {
            if ((this.GetByParamsCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetByParamsCompleted(this, new GetByParamsCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_MAT_DET/GetList", RequestNamespace="ARGNS_MAT_DET", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlArrayAttribute("ArgnsMatDetsParams")]
        [return: System.Xml.Serialization.XmlArrayItemAttribute("ArgnsMatDetParams", IsNullable=false)]
        public ArgnsMatDetsParamsArgnsMatDetParams[] GetList() {
            object[] results = this.Invoke("GetList", new object[0]);
            return ((ArgnsMatDetsParamsArgnsMatDetParams[])(results[0]));
        }
        
        /// <remarks/>
        public void GetListAsync() {
            this.GetListAsync(null);
        }
        
        /// <remarks/>
        public void GetListAsync(object userState) {
            if ((this.GetListOperationCompleted == null)) {
                this.GetListOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetListOperationCompleted);
            }
            this.InvokeAsync("GetList", new object[0], this.GetListOperationCompleted, userState);
        }
        
        private void OnGetListOperationCompleted(object arg) {
            if ((this.GetListCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetListCompleted(this, new GetListCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_MAT_DET/InvokeMethod", RequestNamespace="ARGNS_MAT_DET", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void InvokeMethod([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ref InvokeParams InvokeParams, [System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsMatDet ArgnsMatDet) {
            object[] results = this.Invoke("InvokeMethod", new object[] {
                        InvokeParams,
                        ArgnsMatDet});
            InvokeParams = ((InvokeParams)(results[0]));
        }
        
        /// <remarks/>
        public void InvokeMethodAsync(InvokeParams InvokeParams, ArgnsMatDet ArgnsMatDet) {
            this.InvokeMethodAsync(InvokeParams, ArgnsMatDet, null);
        }
        
        /// <remarks/>
        public void InvokeMethodAsync(InvokeParams InvokeParams, ArgnsMatDet ArgnsMatDet, object userState) {
            if ((this.InvokeMethodOperationCompleted == null)) {
                this.InvokeMethodOperationCompleted = new System.Threading.SendOrPostCallback(this.OnInvokeMethodOperationCompleted);
            }
            this.InvokeAsync("InvokeMethod", new object[] {
                        InvokeParams,
                        ArgnsMatDet}, this.InvokeMethodOperationCompleted, userState);
        }
        
        private void OnInvokeMethodOperationCompleted(object arg) {
            if ((this.InvokeMethodCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.InvokeMethodCompleted(this, new InvokeMethodCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_MAT_DET/Remove", RequestNamespace="ARGNS_MAT_DET", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Remove([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsMatDetParams ArgnsMatDetParams) {
            this.Invoke("Remove", new object[] {
                        ArgnsMatDetParams});
        }
        
        /// <remarks/>
        public void RemoveAsync(ArgnsMatDetParams ArgnsMatDetParams) {
            this.RemoveAsync(ArgnsMatDetParams, null);
        }
        
        /// <remarks/>
        public void RemoveAsync(ArgnsMatDetParams ArgnsMatDetParams, object userState) {
            if ((this.RemoveOperationCompleted == null)) {
                this.RemoveOperationCompleted = new System.Threading.SendOrPostCallback(this.OnRemoveOperationCompleted);
            }
            this.InvokeAsync("Remove", new object[] {
                        ArgnsMatDetParams}, this.RemoveOperationCompleted, userState);
        }
        
        private void OnRemoveOperationCompleted(object arg) {
            if ((this.RemoveCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.RemoveCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace="http://www.sap.com/SBO/DIS", IsNullable=false)]
    public partial class MsgHeader : System.Web.Services.Protocols.SoapHeader {
        
        private string sessionIDField;
        
        private MsgHeaderServiceName serviceNameField;
        
        private bool serviceNameFieldSpecified;
        
        /// <remarks/>
        public string SessionID {
            get {
                return this.sessionIDField;
            }
            set {
                this.sessionIDField = value;
            }
        }
        
        /// <remarks/>
        public MsgHeaderServiceName ServiceName {
            get {
                return this.serviceNameField;
            }
            set {
                this.serviceNameField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ServiceNameSpecified {
            get {
                return this.serviceNameFieldSpecified;
            }
            set {
                this.serviceNameFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum MsgHeaderServiceName {
        
        /// <remarks/>
        ARGNS_MAT_DET,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsMatDet {
        
        private string codeField;
        
        private string nameField;
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        private string canceledField;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private long userSignField;
        
        private bool userSignFieldSpecified;
        
        private string transferedField;
        
        private System.DateTime createDateField;
        
        private bool createDateFieldSpecified;
        
        private System.DateTime updateDateField;
        
        private bool updateDateFieldSpecified;
        
        private string dataSourceField;
        
        private string u_ModCodeField;
        
        private string u_DescriptionField;
        
        private ArgnsMatDetARGNS_MD_FABRIC[] aRGNS_MD_FABRICCollectionField;
        
        private ArgnsMatDetARGNS_MD_ACCESS[] aRGNS_MD_ACCESSCollectionField;
        
        private ArgnsMatDetARGNS_MD_CARE_INST[] aRGNS_MD_CARE_INSTCollectionField;
        
        private ArgnsMatDetARGNS_MD_LABELLING[] aRGNS_MD_LABELLINGCollectionField;
        
        private ArgnsMatDetARGNS_MD_PACKAGING[] aRGNS_MD_PACKAGINGCollectionField;
        
        private ArgnsMatDetARGNS_MD_FACCESS[] aRGNS_MD_FACCESSCollectionField;
        
        private ArgnsMatDetARGNS_MD_FDETAILS[] aRGNS_MD_FDETAILSCollectionField;
        
        private ArgnsMatDetARGNS_MD_FOOTWEAR[] aRGNS_MD_FOOTWEARCollectionField;
        
        private ArgnsMatDetARGNS_MD_FPACKAGING[] aRGNS_MD_FPACKAGINGCollectionField;
        
        private ArgnsMatDetARGNS_MD_FPICTOGRAM[] aRGNS_MD_FPICTOGRAMCollectionField;
        
        private ArgnsMatDetARGNS_MD_FSRANGE[] aRGNS_MD_FSRANGECollectionField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public string Name {
            get {
                return this.nameField;
            }
            set {
                this.nameField = value;
            }
        }
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Canceled {
            get {
                return this.canceledField;
            }
            set {
                this.canceledField = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long UserSign {
            get {
                return this.userSignField;
            }
            set {
                this.userSignField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UserSignSpecified {
            get {
                return this.userSignFieldSpecified;
            }
            set {
                this.userSignFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Transfered {
            get {
                return this.transferedField;
            }
            set {
                this.transferedField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime CreateDate {
            get {
                return this.createDateField;
            }
            set {
                this.createDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool CreateDateSpecified {
            get {
                return this.createDateFieldSpecified;
            }
            set {
                this.createDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime UpdateDate {
            get {
                return this.updateDateField;
            }
            set {
                this.updateDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UpdateDateSpecified {
            get {
                return this.updateDateFieldSpecified;
            }
            set {
                this.updateDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string DataSource {
            get {
                return this.dataSourceField;
            }
            set {
                this.dataSourceField = value;
            }
        }
        
        /// <remarks/>
        public string U_ModCode {
            get {
                return this.u_ModCodeField;
            }
            set {
                this.u_ModCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_Description {
            get {
                return this.u_DescriptionField;
            }
            set {
                this.u_DescriptionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_MD_FABRIC", IsNullable=false)]
        public ArgnsMatDetARGNS_MD_FABRIC[] ARGNS_MD_FABRICCollection {
            get {
                return this.aRGNS_MD_FABRICCollectionField;
            }
            set {
                this.aRGNS_MD_FABRICCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_MD_ACCESS", IsNullable=false)]
        public ArgnsMatDetARGNS_MD_ACCESS[] ARGNS_MD_ACCESSCollection {
            get {
                return this.aRGNS_MD_ACCESSCollectionField;
            }
            set {
                this.aRGNS_MD_ACCESSCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_MD_CARE_INST", IsNullable=false)]
        public ArgnsMatDetARGNS_MD_CARE_INST[] ARGNS_MD_CARE_INSTCollection {
            get {
                return this.aRGNS_MD_CARE_INSTCollectionField;
            }
            set {
                this.aRGNS_MD_CARE_INSTCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_MD_LABELLING", IsNullable=false)]
        public ArgnsMatDetARGNS_MD_LABELLING[] ARGNS_MD_LABELLINGCollection {
            get {
                return this.aRGNS_MD_LABELLINGCollectionField;
            }
            set {
                this.aRGNS_MD_LABELLINGCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_MD_PACKAGING", IsNullable=false)]
        public ArgnsMatDetARGNS_MD_PACKAGING[] ARGNS_MD_PACKAGINGCollection {
            get {
                return this.aRGNS_MD_PACKAGINGCollectionField;
            }
            set {
                this.aRGNS_MD_PACKAGINGCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_MD_FACCESS", IsNullable=false)]
        public ArgnsMatDetARGNS_MD_FACCESS[] ARGNS_MD_FACCESSCollection {
            get {
                return this.aRGNS_MD_FACCESSCollectionField;
            }
            set {
                this.aRGNS_MD_FACCESSCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_MD_FDETAILS", IsNullable=false)]
        public ArgnsMatDetARGNS_MD_FDETAILS[] ARGNS_MD_FDETAILSCollection {
            get {
                return this.aRGNS_MD_FDETAILSCollectionField;
            }
            set {
                this.aRGNS_MD_FDETAILSCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_MD_FOOTWEAR", IsNullable=false)]
        public ArgnsMatDetARGNS_MD_FOOTWEAR[] ARGNS_MD_FOOTWEARCollection {
            get {
                return this.aRGNS_MD_FOOTWEARCollectionField;
            }
            set {
                this.aRGNS_MD_FOOTWEARCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_MD_FPACKAGING", IsNullable=false)]
        public ArgnsMatDetARGNS_MD_FPACKAGING[] ARGNS_MD_FPACKAGINGCollection {
            get {
                return this.aRGNS_MD_FPACKAGINGCollectionField;
            }
            set {
                this.aRGNS_MD_FPACKAGINGCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_MD_FPICTOGRAM", IsNullable=false)]
        public ArgnsMatDetARGNS_MD_FPICTOGRAM[] ARGNS_MD_FPICTOGRAMCollection {
            get {
                return this.aRGNS_MD_FPICTOGRAMCollectionField;
            }
            set {
                this.aRGNS_MD_FPICTOGRAMCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_MD_FSRANGE", IsNullable=false)]
        public ArgnsMatDetARGNS_MD_FSRANGE[] ARGNS_MD_FSRANGECollection {
            get {
                return this.aRGNS_MD_FSRANGECollectionField;
            }
            set {
                this.aRGNS_MD_FSRANGECollectionField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsMatDetARGNS_MD_FABRIC {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_CompCodeField;
        
        private string u_ConstructionField;
        
        private string u_KWTechniqueField;
        
        private string u_GaugeField;
        
        private string u_WeightField;
        
        private string u_DyeingField;
        
        private string u_FinishingField;
        
        private string u_ShellField;
        
        private string u_LiningField;
        
        private string u_InsulationField;
        
        private string u_PaddingField;
        
        private string u_ConstrucField;
        
        private string u_KWTechField;
        
        private string u_FinishField;
        
        private string u_InsulatField;
        
        private string u_ColCodeField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_CompCode {
            get {
                return this.u_CompCodeField;
            }
            set {
                this.u_CompCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_Construction {
            get {
                return this.u_ConstructionField;
            }
            set {
                this.u_ConstructionField = value;
            }
        }
        
        /// <remarks/>
        public string U_KWTechnique {
            get {
                return this.u_KWTechniqueField;
            }
            set {
                this.u_KWTechniqueField = value;
            }
        }
        
        /// <remarks/>
        public string U_Gauge {
            get {
                return this.u_GaugeField;
            }
            set {
                this.u_GaugeField = value;
            }
        }
        
        /// <remarks/>
        public string U_Weight {
            get {
                return this.u_WeightField;
            }
            set {
                this.u_WeightField = value;
            }
        }
        
        /// <remarks/>
        public string U_Dyeing {
            get {
                return this.u_DyeingField;
            }
            set {
                this.u_DyeingField = value;
            }
        }
        
        /// <remarks/>
        public string U_Finishing {
            get {
                return this.u_FinishingField;
            }
            set {
                this.u_FinishingField = value;
            }
        }
        
        /// <remarks/>
        public string U_Shell {
            get {
                return this.u_ShellField;
            }
            set {
                this.u_ShellField = value;
            }
        }
        
        /// <remarks/>
        public string U_Lining {
            get {
                return this.u_LiningField;
            }
            set {
                this.u_LiningField = value;
            }
        }
        
        /// <remarks/>
        public string U_Insulation {
            get {
                return this.u_InsulationField;
            }
            set {
                this.u_InsulationField = value;
            }
        }
        
        /// <remarks/>
        public string U_Padding {
            get {
                return this.u_PaddingField;
            }
            set {
                this.u_PaddingField = value;
            }
        }
        
        /// <remarks/>
        public string U_Construc {
            get {
                return this.u_ConstrucField;
            }
            set {
                this.u_ConstrucField = value;
            }
        }
        
        /// <remarks/>
        public string U_KWTech {
            get {
                return this.u_KWTechField;
            }
            set {
                this.u_KWTechField = value;
            }
        }
        
        /// <remarks/>
        public string U_Finish {
            get {
                return this.u_FinishField;
            }
            set {
                this.u_FinishField = value;
            }
        }
        
        /// <remarks/>
        public string U_Insulat {
            get {
                return this.u_InsulatField;
            }
            set {
                this.u_InsulatField = value;
            }
        }
        
        /// <remarks/>
        public string U_ColCode {
            get {
                return this.u_ColCodeField;
            }
            set {
                this.u_ColCodeField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsMatDetARGNS_MD_ACCESS {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_ButtonsField;
        
        private string u_TrimsField;
        
        private string u_ZippersField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_Buttons {
            get {
                return this.u_ButtonsField;
            }
            set {
                this.u_ButtonsField = value;
            }
        }
        
        /// <remarks/>
        public string U_Trims {
            get {
                return this.u_TrimsField;
            }
            set {
                this.u_TrimsField = value;
            }
        }
        
        /// <remarks/>
        public string U_Zippers {
            get {
                return this.u_ZippersField;
            }
            set {
                this.u_ZippersField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsMatDetARGNS_MD_CARE_INST {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_CareTextField;
        
        private string u_CareLabelField;
        
        private string u_CareCodeField;
        
        private string u_CareLblField;
        
        private string u_ColCodeField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_CareText {
            get {
                return this.u_CareTextField;
            }
            set {
                this.u_CareTextField = value;
            }
        }
        
        /// <remarks/>
        public string U_CareLabel {
            get {
                return this.u_CareLabelField;
            }
            set {
                this.u_CareLabelField = value;
            }
        }
        
        /// <remarks/>
        public string U_CareCode {
            get {
                return this.u_CareCodeField;
            }
            set {
                this.u_CareCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_CareLbl {
            get {
                return this.u_CareLblField;
            }
            set {
                this.u_CareLblField = value;
            }
        }
        
        /// <remarks/>
        public string U_ColCode {
            get {
                return this.u_ColCodeField;
            }
            set {
                this.u_ColCodeField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsMatDetARGNS_MD_LABELLING {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_MLabelField;
        
        private string u_LImageField;
        
        private string u_LSizeField;
        
        private string u_PositionField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_MLabel {
            get {
                return this.u_MLabelField;
            }
            set {
                this.u_MLabelField = value;
            }
        }
        
        /// <remarks/>
        public string U_LImage {
            get {
                return this.u_LImageField;
            }
            set {
                this.u_LImageField = value;
            }
        }
        
        /// <remarks/>
        public string U_LSize {
            get {
                return this.u_LSizeField;
            }
            set {
                this.u_LSizeField = value;
            }
        }
        
        /// <remarks/>
        public string U_Position {
            get {
                return this.u_PositionField;
            }
            set {
                this.u_PositionField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsMatDetARGNS_MD_PACKAGING {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_HangtagField;
        
        private string u_OuterPackField;
        
        private string u_PolybagField;
        
        private string u_OthersField;
        
        private string u_OutPackField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_Hangtag {
            get {
                return this.u_HangtagField;
            }
            set {
                this.u_HangtagField = value;
            }
        }
        
        /// <remarks/>
        public string U_OuterPack {
            get {
                return this.u_OuterPackField;
            }
            set {
                this.u_OuterPackField = value;
            }
        }
        
        /// <remarks/>
        public string U_Polybag {
            get {
                return this.u_PolybagField;
            }
            set {
                this.u_PolybagField = value;
            }
        }
        
        /// <remarks/>
        public string U_Others {
            get {
                return this.u_OthersField;
            }
            set {
                this.u_OthersField = value;
            }
        }
        
        /// <remarks/>
        public string U_OutPack {
            get {
                return this.u_OutPackField;
            }
            set {
                this.u_OutPackField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsMatDetARGNS_MD_FACCESS {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_SLacesField;
        
        private string u_EyeletsField;
        
        private string u_BucklesField;
        
        private string u_EnclosuresField;
        
        private string u_LabellingField;
        
        private string u_OthersField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_SLaces {
            get {
                return this.u_SLacesField;
            }
            set {
                this.u_SLacesField = value;
            }
        }
        
        /// <remarks/>
        public string U_Eyelets {
            get {
                return this.u_EyeletsField;
            }
            set {
                this.u_EyeletsField = value;
            }
        }
        
        /// <remarks/>
        public string U_Buckles {
            get {
                return this.u_BucklesField;
            }
            set {
                this.u_BucklesField = value;
            }
        }
        
        /// <remarks/>
        public string U_Enclosures {
            get {
                return this.u_EnclosuresField;
            }
            set {
                this.u_EnclosuresField = value;
            }
        }
        
        /// <remarks/>
        public string U_Labelling {
            get {
                return this.u_LabellingField;
            }
            set {
                this.u_LabellingField = value;
            }
        }
        
        /// <remarks/>
        public string U_Others {
            get {
                return this.u_OthersField;
            }
            set {
                this.u_OthersField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsMatDetARGNS_MD_FDETAILS {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_HHeightField;
        
        private string u_BHeightField;
        
        private string u_BWidthField;
        
        private string u_StrapField;
        
        private string u_SeamsField;
        
        private string u_OthersField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_HHeight {
            get {
                return this.u_HHeightField;
            }
            set {
                this.u_HHeightField = value;
            }
        }
        
        /// <remarks/>
        public string U_BHeight {
            get {
                return this.u_BHeightField;
            }
            set {
                this.u_BHeightField = value;
            }
        }
        
        /// <remarks/>
        public string U_BWidth {
            get {
                return this.u_BWidthField;
            }
            set {
                this.u_BWidthField = value;
            }
        }
        
        /// <remarks/>
        public string U_Strap {
            get {
                return this.u_StrapField;
            }
            set {
                this.u_StrapField = value;
            }
        }
        
        /// <remarks/>
        public string U_Seams {
            get {
                return this.u_SeamsField;
            }
            set {
                this.u_SeamsField = value;
            }
        }
        
        /// <remarks/>
        public string U_Others {
            get {
                return this.u_OthersField;
            }
            set {
                this.u_OthersField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsMatDetARGNS_MD_FOOTWEAR {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_SfabricField;
        
        private string u_LiningField;
        
        private string u_InsoleField;
        
        private string u_OutsoleField;
        
        private string u_HeelField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_Sfabric {
            get {
                return this.u_SfabricField;
            }
            set {
                this.u_SfabricField = value;
            }
        }
        
        /// <remarks/>
        public string U_Lining {
            get {
                return this.u_LiningField;
            }
            set {
                this.u_LiningField = value;
            }
        }
        
        /// <remarks/>
        public string U_Insole {
            get {
                return this.u_InsoleField;
            }
            set {
                this.u_InsoleField = value;
            }
        }
        
        /// <remarks/>
        public string U_Outsole {
            get {
                return this.u_OutsoleField;
            }
            set {
                this.u_OutsoleField = value;
            }
        }
        
        /// <remarks/>
        public string U_Heel {
            get {
                return this.u_HeelField;
            }
            set {
                this.u_HeelField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsMatDetARGNS_MD_FPACKAGING {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_HangtagField;
        
        private string u_PolybagSBField;
        
        private string u_OutPackField;
        
        private string u_OthersField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_Hangtag {
            get {
                return this.u_HangtagField;
            }
            set {
                this.u_HangtagField = value;
            }
        }
        
        /// <remarks/>
        public string U_PolybagSB {
            get {
                return this.u_PolybagSBField;
            }
            set {
                this.u_PolybagSBField = value;
            }
        }
        
        /// <remarks/>
        public string U_OutPack {
            get {
                return this.u_OutPackField;
            }
            set {
                this.u_OutPackField = value;
            }
        }
        
        /// <remarks/>
        public string U_Others {
            get {
                return this.u_OthersField;
            }
            set {
                this.u_OthersField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsMatDetARGNS_MD_FPICTOGRAM {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_PictogramField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_Pictogram {
            get {
                return this.u_PictogramField;
            }
            set {
                this.u_PictogramField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsMatDetARGNS_MD_FSRANGE {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_SRangeField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_SRange {
            get {
                return this.u_SRangeField;
            }
            set {
                this.u_SRangeField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsMatDetParams {
        
        private string codeField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsMatDetsParamsArgnsMatDetParams {
        
        private string codeField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class InvokeParams {
        
        private string valueField;
        
        /// <remarks/>
        public string Value {
            get {
                return this.valueField;
            }
            set {
                this.valueField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void AddCompletedEventHandler(object sender, AddCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class AddCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal AddCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsMatDetParams Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsMatDetParams)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void UpdateCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void GetByParamsCompletedEventHandler(object sender, GetByParamsCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetByParamsCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetByParamsCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsMatDet Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsMatDet)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void GetListCompletedEventHandler(object sender, GetListCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetListCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetListCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsMatDetsParamsArgnsMatDetParams[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsMatDetsParamsArgnsMatDetParams[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void InvokeMethodCompletedEventHandler(object sender, InvokeMethodCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class InvokeMethodCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal InvokeMethodCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public InvokeParams InvokeParams {
            get {
                this.RaiseExceptionIfNecessary();
                return ((InvokeParams)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void RemoveCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
}

#pragma warning restore 1591